﻿using System.Linq;
using KheyaOrchardGallery.Models;
using KheyaOrchardGallery.Services;
using KheyaOrchardGallery.ViewModels;
using Orchard;
using Orchard.ContentManagement.Drivers;
using Orchard.ContentManagement;
using Orchard.UI.Resources;
using System.Web.Mvc;
using System;

namespace KheyaOrchardGallery.Drivers {
    public class KheyaGalleryDriver : ContentPartDriver<KheyaGalleryPart> {

        private const string ImageGalleryName = "Kheya";
        private readonly IKheyaImageGalleryService _kheyaimageGalleryService;
        public IOrchardServices Services { get; set; }

        public KheyaGalleryDriver(IOrchardServices services, IKheyaImageGalleryService kheyaimageGalleryService) {
            Services = services;
            _kheyaimageGalleryService = kheyaimageGalleryService;

        }
        protected override DriverResult Display(
            KheyaGalleryPart part, string displayType, dynamic shapeHelper) {
            var imageGallery = _kheyaimageGalleryService.GetImageGallery(ImageGalleryName);
            var viewModel = new KheyaImageGalleryImagesViewModel
                {
                    ImageGalleryName = imageGallery.Name,
                    Images = imageGallery.Images
                };
            return ContentShape("Parts_KheyaGallery",
                () => shapeHelper.DisplayTemplate(
                TemplateName: "Parts/KheyaGallery",
                Model: viewModel,
                Prefix: Prefix));
        }
        //GET
        protected override DriverResult Editor(
            KheyaGalleryPart part, dynamic shapeHelper) {
            return ContentShape("Parts_KheyaGallery_Edit",
                () => shapeHelper.EditorTemplate(
                    TemplateName: "Parts/KheyaGallery",
                    Model: part,
                    Prefix: Prefix));
        }
        //POST
        protected override DriverResult Editor(
            KheyaGalleryPart part, IUpdateModel updater, dynamic shapeHelper) {
            updater.TryUpdateModel(part, Prefix, null, null);
            return Editor(part, shapeHelper);
        }
    }
}