using System;
using System.Collections.Generic;
using System.Data;
using KheyaOrchardGallery.Models;
using Orchard.ContentManagement.Drivers;
using Orchard.ContentManagement.MetaData;
using Orchard.ContentManagement.MetaData.Builders;
using Orchard.Core.Contents.Extensions;
using Orchard.Data.Migration;

namespace KheyaOrchardGallery {
    public class Migrations : DataMigrationImpl {

        public int Create() {
			SchemaBuilder.CreateTable("KheyaGalleryRecord", table => table
				.ContentPartRecord()
				.Column("Name", DbType.String)
				.Column("Description", DbType.String)
			);

            ContentDefinitionManager.AlterPartDefinition(
                typeof(KheyaGalleryPart).Name, cfg => cfg.Attachable());

            return 1;
        }
        public int UpdateFrom1()
        {
            ContentDefinitionManager.AlterTypeDefinition("KheyaGalleryWidget", cfg => cfg
                .WithPart("KheyaGalleryPart")
                .WithPart("WidgetPart")
                .WithPart("CommonPart")
                .WithSetting("Stereotype", "Widget"));

            return 2;
        }
    }
}